Package tigase.component

## Class BindingsKernel

- java.lang.Object
- - javax.script.SimpleBindings
  - - tigase.component.BindingsKernel

- All Implemented Interfaces:
    `java.util.Map<java.lang.String,​java.lang.Object>`, `javax.script.Bindings`

      public class BindingsKernel
      extends javax.script.SimpleBindings

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindingsKernel()` |
    `BindingsKernel​(Kernel kernel)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `containsKey​(java.lang.Object key)` |
    `java.lang.Object` | `get​(java.lang.Object key)` |
    `Kernel` | `getKernel()` |
    `void` | `setKernel​(Kernel kernel)` |

    - ### Methods inherited from class javax.script.SimpleBindings

      `clear, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### BindingsKernel

          public BindingsKernel​(Kernel kernel)

    - #### BindingsKernel

          public BindingsKernel()

  - ### Method Detail

    - #### containsKey

          public boolean containsKey​(java.lang.Object key)

      Specified by:
        `containsKey` in interface `javax.script.Bindings`
      Specified by:
        `containsKey` in interface `java.util.Map<java.lang.String,​java.lang.Object>`
      Overrides:
        `containsKey` in class `javax.script.SimpleBindings`

    - #### get

          public java.lang.Object get​(java.lang.Object key)

      Specified by:
        `get` in interface `javax.script.Bindings`
      Specified by:
        `get` in interface `java.util.Map<java.lang.String,​java.lang.Object>`
      Overrides:
        `get` in class `javax.script.SimpleBindings`

    - #### getKernel

          public Kernel getKernel()

    - #### setKernel

          public void setKernel​(Kernel kernel)